#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);
    string s,t;
    cin>>s>>t;
    int k=t.length();
    int b=0;
    for(int i=0;i<s.length();i++)
    {
        if(s[i]=='a')
        {
            if(b<k-1)
                b++;
            else s[i]=42;
        }
    }
    cout<<s;
}